Manifest-Version: 1.0
Bnd-LastModified: 1754080222485
Bundle-ClassPath: .,lib/commons-io-2.11.0.jar,lib/commons-collections4
 -4.4.jar
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Batch Engine Service
Bundle-SymbolicName: com.liferay.batch.engine.service
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 4.0.88.hotfix-6834-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: com.fasterxml.jackson.annotation;version="2.13",com.fa
 sterxml.jackson.core;version="2.13",com.fasterxml.jackson.core.type;v
 ersion="2.13",com.fasterxml.jackson.databind;version="2.13",com.faste
 rxml.jackson.databind.deser.std;version="2.13",com.fasterxml.jackson.
 databind.module;version="2.13",com.fasterxml.jackson.databind.ser;ver
 sion="2.13",com.fasterxml.jackson.databind.ser.impl;version="2.13",co
 m.fasterxml.jackson.databind.util;version="2.13",com.liferay.batch.en
 gine;version="7.0",com.liferay.batch.engine.action;version="1.0",com.
 liferay.batch.engine.configuration;version="2.0",com.liferay.batch.en
 gine.exception;version="2.0",com.liferay.batch.engine.jaxrs.uri;versi
 on="1.0",com.liferay.batch.engine.model;version="6.3",com.liferay.bat
 ch.engine.pagination;version="1.0",com.liferay.batch.engine.service;v
 ersion="5.3",com.liferay.batch.engine.service.persistence;version="4.
 1",com.liferay.batch.engine.strategy;version="2.0",com.liferay.batch.
 engine.unit;version="4.1",com.liferay.counter.kernel.service;version=
 "2.2",com.liferay.expando.kernel.model;version="6.0",com.liferay.expa
 ndo.kernel.util;version="5.0",com.liferay.exportimport.kernel.lar;ver
 sion="5.0",com.liferay.object.rest.dto.v1_0;version="1.6",com.liferay
 .osgi.service.tracker.collections.list;version="3.0",com.liferay.osgi
 .service.tracker.collections.map;version="2.3",com.liferay.petra.conc
 urrent;version="2.1",com.liferay.petra.executor;version="2.0",com.lif
 eray.petra.function;version="1.5",com.liferay.petra.function.transfor
 m;version="1.3",com.liferay.petra.io;version="1.3",com.liferay.petra.
 io.unsync;version="1.0",com.liferay.petra.lang;version="1.3",com.life
 ray.petra.memory;version="2.0",com.liferay.petra.reflect;version="1.5
 ",com.liferay.petra.sql.dsl;version="1.2",com.liferay.petra.sql.dsl.q
 uery;version="2.0",com.liferay.petra.string;version="1.7",com.liferay
 .portal.aop;version="1.0",com.liferay.portal.configuration.metatype.b
 nd.util;version="3.0",com.liferay.portal.file.install;version="1.0",c
 om.liferay.portal.instance.lifecycle;version="3.1",com.liferay.portal
 .kernel.bean;version="10.1",com.liferay.portal.kernel.configuration;v
 ersion="7.0",com.liferay.portal.kernel.dao.db;version="14.0",com.life
 ray.portal.kernel.dao.jdbc;version="9.0",com.liferay.portal.kernel.da
 o.orm;version="12.0",com.liferay.portal.kernel.deploy.auto;version="8
 .0",com.liferay.portal.kernel.exception;version="13.3",com.liferay.po
 rtal.kernel.feature.flag;version="1.0",com.liferay.portal.kernel.io.u
 nsync;version="8.0",com.liferay.portal.kernel.json;version="12.1",com
 .liferay.portal.kernel.log;version="8.0",com.liferay.portal.kernel.mo
 del;version="30.4",com.liferay.portal.kernel.model.impl;version="7.4"
 ,com.liferay.portal.kernel.module.configuration;version="2.1",com.lif
 eray.portal.kernel.module.framework;version="2.0",com.liferay.portal.
 kernel.module.framework.service;version="1.0",com.liferay.portal.kern
 el.scheduler;version="18.1",com.liferay.portal.kernel.search;version=
 "20.2",com.liferay.portal.kernel.search.filter;version="1.0",com.life
 ray.portal.kernel.security.auth;version="6.1",com.liferay.portal.kern
 el.security.permission;version="7.0",com.liferay.portal.kernel.servic
 e;version="25.1",com.liferay.portal.kernel.service.http;version="1.0"
 ,com.liferay.portal.kernel.service.persistence;version="22.1",com.lif
 eray.portal.kernel.service.persistence.impl;version="4.1",com.liferay
 .portal.kernel.transaction;version="8.1",com.liferay.portal.kernel.up
 grade;version="21.2",com.liferay.portal.kernel.util;version="63.0",co
 m.liferay.portal.kernel.uuid;version="6.2",com.liferay.portal.odata.e
 ntity;version="2.2",com.liferay.portal.odata.filter;version="1.1",com
 .liferay.portal.odata.filter.expression;version="2.3",com.liferay.por
 tal.odata.sort;version="1.2",com.liferay.portal.upgrade.registry;vers
 ion="5.0",com.liferay.portal.vulcan.batch.engine;version="6.0",com.li
 feray.portal.vulcan.jackson.databind.ser;version="1.0",javax.sql,java
 x.ws.rs.core;version="2.1",org.apache.commons.csv;version="1.9",org.a
 pache.http,org.apache.http.client.methods,org.apache.http.entity,org.
 apache.http.impl.client,org.apache.poi.ss.usermodel,org.apache.poi.xs
 sf.usermodel,org.osgi.framework;version="1.8",org.osgi.service.cm;ver
 sion="1.6",org.osgi.util.tracker;version="1.5",org.w3c.dom
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Batch Engine
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Utility
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: foundation
Liferay-Releng-Suite-Description: Apps and Features: System Settings, 
 Web Content Editors, Web Content Template Languages, Theme Tools, Mob
 ile Device Rules, Facebook Authentication, LDAP Authentication, OpenI
 D Authentication, OpenSSO Authentication, Remote Authentication (Auth
 Verifiers), SSO-based Authentication, Token-based Authentication, Por
 tal Scripting, Elasticsearch Support, Solr Support, Documents and Med
 ia Store Implementations, and more.<br /><br />The Foundation suite p
 rovides applications and features that extend the functionality provi
 ded by Liferay's core. Much of the functionality that belonged to Lif
 eray's core prior to Liferay 7 has been extracted into the modules of
  the Foundation suite. The authentication modules provide a variety o
 f mechanisms for allowing users and remote applications to authentica
 te to Liferay. The LDAP Authentication module allows administrators t
 o establish connections to one or more LDAP directories from which us
 ers can be imported or exported. The SSO modules allow users to authe
 nticate to Liferay using a variety of single-sign on solutions. The T
 oken-based Authentication module allows users or remote applications 
 to authenticate to Liferay without a password. The Scripting module a
 llows scripts to be written in Groovy to invoke Liferay's API.<br /><
 br />This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Foundation
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Liferay-Require-SchemaVersion: 4.6.3
Liferay-Service: true
Private-Package: com.liferay.batch.engine.internal,com.liferay.batch.e
 ngine.internal.bundle,com.liferay.batch.engine.internal.installer,com
 .liferay.batch.engine.internal.item,com.liferay.batch.engine.internal
 .json,com.liferay.batch.engine.internal.reader,com.liferay.batch.engi
 ne.internal.scheduler,com.liferay.batch.engine.internal.security.perm
 ission,com.liferay.batch.engine.internal.strategy,com.liferay.batch.e
 ngine.internal.task.progress,com.liferay.batch.engine.internal.unit,c
 om.liferay.batch.engine.internal.upgrade.registry,com.liferay.batch.e
 ngine.internal.upgrade.v4_5_0.util,com.liferay.batch.engine.internal.
 upgrade.v4_6_1,com.liferay.batch.engine.internal.util,com.liferay.bat
 ch.engine.internal.writer,com.liferay.batch.engine.model.impl,com.lif
 eray.batch.engine.service.base,com.liferay.batch.engine.service.http,
 com.liferay.batch.engine.service.impl,com.liferay.batch.engine.servic
 e.persistence.impl,com.liferay.batch.engine.service.persistence.impl.
 constants,org.apache.commons.io,org.apache.commons.io.comparator,org.
 apache.commons.io.file,org.apache.commons.io.file.spi,org.apache.comm
 ons.io.filefilter,org.apache.commons.io.function,org.apache.commons.i
 o.input,org.apache.commons.io.input.buffer,org.apache.commons.io.moni
 tor,org.apache.commons.io.output,org.apache.commons.io.serialization,
 org.apache.commons.collections4,org.apache.commons.collections4.bag,o
 rg.apache.commons.collections4.bidimap,org.apache.commons.collections
 4.collection,org.apache.commons.collections4.comparators,org.apache.c
 ommons.collections4.functors,org.apache.commons.collections4.iterator
 s,org.apache.commons.collections4.keyvalue,org.apache.commons.collect
 ions4.list,org.apache.commons.collections4.map,org.apache.commons.col
 lections4.multimap,org.apache.commons.collections4.multiset,org.apach
 e.commons.collections4.properties,org.apache.commons.collections4.que
 ue,org.apache.commons.collections4.sequence,org.apache.commons.collec
 tions4.set,org.apache.commons.collections4.splitmap,org.apache.common
 s.collections4.trie,org.apache.commons.collections4.trie.analyzer
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .batch.engine.BatchEngineExportTaskExecutor";uses:="com.liferay.batch
 .engine",osgi.service;objectClass:List<String>="com.liferay.batch.eng
 ine.BatchEngineImportTaskExecutor";uses:="com.liferay.batch.engine",o
 sgi.service;objectClass:List<String>="com.liferay.batch.engine.BatchE
 ngineTaskItemDelegateRegistry";uses:="com.liferay.batch.engine",osgi.
 service;objectClass:List<String>="com.liferay.batch.engine.ItemClassR
 egistry";uses:="com.liferay.batch.engine",osgi.service;objectClass:Li
 st<String>="com.liferay.batch.engine.internal.strategy.BatchEngineImp
 ortStrategyFactory";uses:="com.liferay.batch.engine.internal.strategy
 ",osgi.service;objectClass:List<String>="com.liferay.batch.engine.int
 ernal.writer.BatchEngineTaskItemDelegateProvider";uses:="com.liferay.
 batch.engine.internal.writer",osgi.service;objectClass:List<String>="
 com.liferay.batch.engine.service.persistence.BatchEngineExportTaskPer
 sistence";uses:="com.liferay.batch.engine.service.persistence",osgi.s
 ervice;objectClass:List<String>="com.liferay.batch.engine.service.per
 sistence.BatchEngineImportTaskErrorPersistence";uses:="com.liferay.ba
 tch.engine.service.persistence",osgi.service;objectClass:List<String>
 ="com.liferay.batch.engine.service.persistence.BatchEngineImportTaskP
 ersistence";uses:="com.liferay.batch.engine.service.persistence",osgi
 .service;objectClass:List<String>="com.liferay.batch.engine.unit.Batc
 hEngineUnitProcessor";uses:="com.liferay.batch.engine.unit",osgi.serv
 ice;objectClass:List<String>="com.liferay.batch.engine.unit.BatchEngi
 neUnitReader";uses:="com.liferay.batch.engine.unit",osgi.service;obje
 ctClass:List<String>="com.liferay.portal.aop.AopService";uses:="com.l
 iferay.portal.aop",osgi.service;objectClass:List<String>="com.liferay
 .portal.file.install.FileInstaller";uses:="com.liferay.portal.file.in
 stall",osgi.service;objectClass:List<String>="com.liferay.portal.kern
 el.dao.orm.ArgumentsResolver";uses:="com.liferay.portal.kernel.dao.or
 m",osgi.service;objectClass:List<String>="com.liferay.portal.kernel.s
 cheduler.SchedulerJobConfiguration";uses:="com.liferay.portal.kernel.
 scheduler",osgi.service;objectClass:List<String>="com.liferay.portal.
 upgrade.registry.UpgradeStepRegistrator";uses:="com.liferay.portal.up
 grade.registry",osgi.service;objectClass:List<String>="com.liferay.ba
 tch.engine.service.BatchEngineExportTaskLocalService",osgi.service;ob
 jectClass:List<String>="com.liferay.batch.engine.service.BatchEngineE
 xportTaskService",osgi.service;objectClass:List<String>="com.liferay.
 batch.engine.service.BatchEngineImportTaskErrorLocalService",osgi.ser
 vice;objectClass:List<String>="com.liferay.batch.engine.service.Batch
 EngineImportTaskLocalService",osgi.service;objectClass:List<String>="
 com.liferay.batch.engine.service.BatchEngineImportTaskService"
Require-Capability: osgi.service;filter:="(objectClass=com.liferay.bat
 ch.engine.BatchEngineExportTaskExecutor)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.batch.engine.BatchEngineImportT
 askExecutor)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.batch.engine.BatchEngineTaskItemDelegateRegistry)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.batch.engine
 .ItemClassRegistry)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.batch.engine.internal.strategy.BatchEngineImportStra
 tegyFactory)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.batch.engine.internal.writer.BatchEngineTaskItemDelegatePro
 vider)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.batch.engine.service.BatchEngineExportTaskLocalService)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.batch.engine
 .service.BatchEngineImportTaskErrorLocalService)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.batch.engine.service.Ba
 tchEngineImportTaskLocalService)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.batch.engine.service.persistence.BatchE
 ngineExportTaskPersistence)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.batch.engine.service.persistence.BatchEngine
 ImportTaskErrorPersistence)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.batch.engine.service.persistence.BatchEngine
 ImportTaskPersistence)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.batch.engine.unit.BatchEngineUnitProcessor)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.batch.en
 gine.unit.BatchEngineUnitReader)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.counter.kernel.service.CounterLocalServ
 ice)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.petra.executor.PortalExecutorManager)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.portal.kernel.configuration.Conf
 iguration)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.portal.kernel.dao.orm.EntityCache)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.portal.kernel.dao.orm.FinderC
 ache)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.portal.kernel.dao.orm.SessionFactory)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.portal.kernel.module.configurat
 ion.ConfigurationProvider)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.portal.kernel.module.framework.ModuleServiceL
 ifecycle)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.portal.kernel.service.CompanyLocalService)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.portal.kernel.service.
 UserLocalService)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.portal.kernel.util.File)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.portal.kernel.uuid.PortalUUID)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.port
 al.odata.filter.ExpressionConvert)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.portal.odata.filter.FilterParserProvi
 der)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.portal.odata.sort.SortParserProvider)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.portal.vulcan.batch.engine.Vulca
 nBatchEngineTaskItemDelegateAdaptorFactory)";effective:=active,osgi.s
 ervice;filter:="(objectClass=javax.sql.DataSource)";effective:=active
 ,osgi.service;filter:="(objectClass=org.osgi.service.cm.Configuration
 Admin)";effective:=active,osgi.extender;filter:="(&(osgi.extender=osg
 i.component)(version>=1.4.0)(!(version>=2.0.0)))",osgi.ee;filter:="(&
 (osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.batch.engine.internal.BatchEng
 ineExportTaskExecutorImpl.xml,OSGI-INF/com.liferay.batch.engine.inter
 nal.BatchEngineImportTaskExecutorImpl.xml,OSGI-INF/com.liferay.batch.
 engine.internal.BatchEngineTaskItemDelegateRegistryImpl.xml,OSGI-INF/
 com.liferay.batch.engine.internal.ItemClassRegistryImpl.xml,OSGI-INF/
 com.liferay.batch.engine.internal.bundle.BatchEngineBundleTracker.xml
 ,OSGI-INF/com.liferay.batch.engine.internal.installer.BatchEngineFile
 Installer.xml,OSGI-INF/com.liferay.batch.engine.internal.scheduler.Ba
 tchEngineTaskCleanerSchedulerJobConfiguration.xml,OSGI-INF/com.lifera
 y.batch.engine.internal.scheduler.BatchEngineTaskOrphanScannerSchedul
 erJobConfiguration.xml,OSGI-INF/com.liferay.batch.engine.internal.str
 ategy.BatchEngineImportStrategyFactory.xml,OSGI-INF/com.liferay.batch
 .engine.internal.unit.BatchEngineUnitProcessorImpl.xml,OSGI-INF/com.l
 iferay.batch.engine.internal.unit.BatchEngineUnitReaderImpl.xml,OSGI-
 INF/com.liferay.batch.engine.internal.upgrade.registry.BatchEngineSer
 viceUpgradeStepRegistrator.xml,OSGI-INF/com.liferay.batch.engine.inte
 rnal.writer.BatchEngineTaskItemDelegateProvider.xml,OSGI-INF/com.life
 ray.batch.engine.service.impl.BatchEngineExportTaskLocalServiceImpl.x
 ml,OSGI-INF/com.liferay.batch.engine.service.impl.BatchEngineExportTa
 skServiceImpl.xml,OSGI-INF/com.liferay.batch.engine.service.impl.Batc
 hEngineImportTaskErrorLocalServiceImpl.xml,OSGI-INF/com.liferay.batch
 .engine.service.impl.BatchEngineImportTaskLocalServiceImpl.xml,OSGI-I
 NF/com.liferay.batch.engine.service.impl.BatchEngineImportTaskService
 Impl.xml,OSGI-INF/com.liferay.batch.engine.service.persistence.impl.B
 atchEngineExportTaskModelArgumentsResolver.xml,OSGI-INF/com.liferay.b
 atch.engine.service.persistence.impl.BatchEngineExportTaskPersistence
 Impl.xml,OSGI-INF/com.liferay.batch.engine.service.persistence.impl.B
 atchEngineImportTaskErrorModelArgumentsResolver.xml,OSGI-INF/com.life
 ray.batch.engine.service.persistence.impl.BatchEngineImportTaskErrorP
 ersistenceImpl.xml,OSGI-INF/com.liferay.batch.engine.service.persiste
 nce.impl.BatchEngineImportTaskModelArgumentsResolver.xml,OSGI-INF/com
 .liferay.batch.engine.service.persistence.impl.BatchEngineImportTaskP
 ersistenceImpl.xml
Tool: Bnd-5.3.0.202102221516

